package online.wesal.wesal.dto;

import online.wesal.wesal.entity.User;
import java.time.LocalDateTime;

public class LikedUserDTO {
    
    private String id;
    private String displayName;
    private LocalDateTime likeTime;
    
    public LikedUserDTO() {}
    
    public LikedUserDTO(User user, LocalDateTime likeTime) {
        this.id = String.valueOf(user.getId());
        this.displayName = user.getDisplayName();
        this.likeTime = likeTime;
    }
    
    public String getId() {
        return id;
    }
    
    public void setId(String id) {
        this.id = id;
    }
    
    public String getDisplayName() {
        return displayName;
    }
    
    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }
    
    public LocalDateTime getLikeTime() {
        return likeTime;
    }
    
    public void setLikeTime(LocalDateTime likeTime) {
        this.likeTime = likeTime;
    }
}